/* Fonts */

@font-face {
	font-family: 'grumpy_black24';
	src: url('../font/grumpy-black24.woff2') format('woff2'),
		url('../font/grumpy-black24.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_regular';
	src: url('../font/opensans-regular.woff2') format('woff2'),
		url('../font/opensans-regular.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_bold';
	src: url('../font/opensans-bold.woff2') format('woff2'),
		url('../font/opensans-bold.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_bold_italic';
	src: url('../font/opensans-bolditalic.woff2') format('woff2'),
		url('../font/opensans-bolditalic.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_extrabold';
	src: url('../font/opensans-extrabold.woff2') format('woff2'),
		url('../font/opensans-extrabold.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_extrabold_italic';
	src: url('../font/opensans-extrabolditalic.woff2') format('woff2'),
		url('../font/opensans-extrabolditalic.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_italic';
	src: url('../font/opensans-italic.woff2') format('woff2'),
		url('../font/opensans-italic.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_light';
	src: url('../font/opensans-light.woff2') format('woff2'),
		url('../font/opensans-light.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_light_italic';
	src: url('../font/opensans-lightitalic.woff2') format('woff2'),
		url('../font/opensans-lightitalic.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_semibold';
	src: url('../font/opensans-semibold.woff2') format('woff2'),
		url('../font/opensans-semibold.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'open_sans_semibold_italic';
	src: url('../font/opensans-semibolditalic.woff2') format('woff2'),
		url('../font/opensans-semibolditalic.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

/* Helpers */

.vcenter {
	display: inline-block;
	position: relative;
	top: 50%;
	transform: translateY(-50%);
}

.sr-only {
	border: 0 !important;
	clip: rect(1px, 1px, 1px, 1px) !important;
	-webkit-clip-path: inset(50%) !important;
	clip-path: inset(50%) !important;
	height: 1px !important;
	margin: -1px !important;
	overflow: hidden !important;
	padding: 0 !important;
	position: absolute !important;
	width: 1px !important;
	white-space: nowrap !important;
}

/* Default styling */

html,
body {
	height: 100%;
	margin: 0;
}

a img {
	border: 0;
}

h1, h2, h3, h4 {
	margin: 0;
}

p {
	margin: 0;
}

p + p {
	margin-top: 15px;
}

@media (prefers-reduced-motion: reduce) {
	* {
		animation: none !important;
	}
}

/* Layout */

body {
	background: white;
	font-family: 'open_sans_bold_italic', Arial, sans-serif;
	font-size: 1.2rem;
	color: #181819;
}

/* Layout - Line grid */
.layout {
	pointer-events: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
}
.layout .top {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 10vh;
	border-bottom: 2px solid #181819;
}
.layout .bottom {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 10vh;
	border-top: 2px solid #181819;
}
.layout .centerline {
	box-sizing: border-box;
	position: absolute;
	top: 0;
	left: 0;
	width: 50%;
	height: 100vh;
	border-right: 2px solid #181819;
}

/* Layout - Content grid */
.wrapper {
	position: relative;
	width: 70%;
	height: 100vh;
	margin: auto;
	border-style: solid;
	border-color: #181819;
	border-width: 0 2px;

	/* Flex */
	display: flex;
	flex-direction: column;
	align-items: left;
}

header {
	height: 10vh;
}

main {
	height: 80vh;
}

.col-right {
	box-sizing: border-box;
	float: right;
	width: 50%;
	height: 65vh;
	text-align: right;
}

.top-desc {
	height: 87.5%;
	padding: 0 25px;
}

/* Background slideshow */

.background-container {
	pointer-events: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	overflow: hidden;
}

.background {
	width: 100%;
	height: 100%;
	background-size: cover;
	background-position: bottom;
	animation: zoom 35s linear infinite normal;
}

.background img {
	width: 1px;
	height: 1px;
	opacity: 0;
}

.background.landscape-mode {
	background-image: url(../img/background/landscape/6.png);
}

.background.portrait-mode {
	background-image: url(../img/background/landscape/6.png);
	animation: zoom-portrait 35s linear infinite normal;
}

@keyframes zoom {
	0% {
		background-image: url(../img/background/landscape/6.png);
		transform: scale(1.0);
	}
	14% {
		background-image: url(../img/background/landscape/6.png);
		transform: scale(1.07);
	}
	14.1% {
		background-image: url(../img/background/landscape/2.png);
		transform: scale(1.0);
	}
	28% {
		background-image: url(../img/background/landscape/2.png);
		transform: scale(1.07);
	}
	28.1% {
		background-image: url(../img/background/landscape/3.png);
		transform: scale(1.0);
	}
	42% {
		background-image: url(../img/background/landscape/3.png);
		transform: scale(1.07);
	}
	42.1% {
		background-image: url(../img/background/landscape/4.png);
		transform: scale(1.0);
	}
	56% {
		background-image: url(../img/background/landscape/4.png);
		transform: scale(1.07);
	}
	56.1% {
		background-image: url(../img/background/landscape/5.png);
		transform: scale(1.0);
	}
	70% {
		background-image: url(../img/background/landscape/5.png);
		transform: scale(1.07);
	}
	70.1% {
		background-image: url(../img/background/landscape/1.png);
		transform: scale(1.0);
	}
	84% {
		background-image: url(../img/background/landscape/1.png);
		transform: scale(1.07);
	}
	84.1% {
		background-image: url(../img/background/landscape/7.png);
		transform: scale(1.0);
	}
	100% {
		background-image: url(../img/background/landscape/7.png);
		transform: scale(1.07);
	}
}

@keyframes zoom-portrait {
	0% {
		background-image: url(../img/background/portrait/6.png);
		transform: scale(1.0);
	}
	14% {
		background-image: url(../img/background/portrait/6.png);
		transform: scale(1.07);
	}
	14.1% {
		background-image: url(../img/background/portrait/2.png);
		transform: scale(1.0);
	}
	28% {
		background-image: url(../img/background/portrait/2.png);
		transform: scale(1.07);
	}
	28.1% {
		background-image: url(../img/background/portrait/3.png);
		transform: scale(1.0);
	}
	42% {
		background-image: url(../img/background/portrait/3.png);
		transform: scale(1.07);
	}
	42.1% {
		background-image: url(../img/background/portrait/4.png);
		transform: scale(1.0);
	}
	56% {
		background-image: url(../img/background/portrait/4.png);
		transform: scale(1.07);
	}
	56.1% {
		background-image: url(../img/background/portrait/5.png);
		transform: scale(1.0);
	}
	70% {
		background-image: url(../img/background/portrait/5.png);
		transform: scale(1.07);
	}
	70.1% {
		background-image: url(../img/background/portrait/1.png);
		transform: scale(1.0);
	}
	84% {
		background-image: url(../img/background/portrait/1.png);
		transform: scale(1.07);
	}
	84.1% {
		background-image: url(../img/background/portrait/7.png);
		transform: scale(1.0);
	}
	100% {
		background-image: url(../img/background/portrait/7.png);
		transform: scale(1.07);
	}
}

/* Components */

header a.logo {
	display: block;
	width: 20%;
	margin-left: 30px;
}

header a.logo img {
	width: 100%;
}

main h1 {
	height: 15vh;
	font-family: grumpy_black24, Georgia, 'Times New Roman', serif;
	font-size: 10vh;
	line-height: 100%;
}

main h1 img.landscape-mode {
	margin-top: -4px;
}

p {
	font-size: .9em;
}

p.manchet {
	font-family: grumpy_black24, Georgia, 'Times New Roman', serif;
	font-size: 1.7em;
	font-weight: bold;
	letter-spacing: 1pt;
}

a.cta {
	box-sizing: border-box;
	display: block;
	height: 12.5%;
	padding: 15px;
	background: #181819;
	font-family: 'open_sans_extrabold', Arial, sans-serif;
	font-size: 1em;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
	color: #d5c9c2;
}

/* Orientation */

.landscape-mode {
	display: inline-block;
}
.portrait-mode {
	display: none;
}

@media (orientation: portrait) {
	.portrait-mode {
		display: inline-block;
	}
	.landscape-mode {
		display: none;
	}

	header a.logo {
		width: 40%;
		margin: auto;
	}

	.layout .centerline {
		display: none;
	}

	h1 img.portrait-mode {
		width: 75%;
	}

	.col-right {
		float: none;
		width: 100%;
		padding-top: 35px;
		text-align: left;
	}
}

/* Viewports */

@media (max-width: 1250px) {
	p {
		font-size: .75em;
	}

	p.manchet {
		font-size: 1.25em;
	}

	a.cta {
		font-size: .75em;
	}
}

@media (max-width: 640px) {
	.col-right {
		padding-top: 10px;
	}

	p {
		font-size: .9em;
	}
}

@media (orientation: portrait) and (min-width: 900px) {
	body {
		font-size: 2rem;
	}

	header a.logo {
		width: 50%;
	}

	main h1 {
		height: 10%;
	}

	.col-right {
		height: 55vh;
	}

	.top-desc {
		height: 98%;
	}

	.layout .bottom {
		height: 20vh;
	}

	.top-desc p {
		font-size: 1em;
	}

	.top-desc p.manchet {
		margin: 25px 0;
		font-size: 1.25em;
	}

	a.cta {
		font-size: 1em;
	}
}

@media (orientation: landscape) and (max-width: 1064px) {
	body {
		background: black;
	}

	.wrapper {
		width: 90%;
	}

	header a.logo {
		width: 20%;
		margin: auto;
	}

	h1 img.landscape-mode {
		display: block;
		width: 70%;
		margin: auto;
	}

	.layout .centerline {
		display: none;
	}

	.top-desc {
		padding-left: 0;
	}

	p {
		font-size: .9em;
	}

	p.manchet {
		font-size: 1em;
	}

	a.cta {
		position: relative;
		top: -6.5%;
		left: -100%;
		height: 20%;
		font-size: 1em;
	}
}